# Struct kawaii::gpio::SyncPort [−] [src]

    pub struct SyncPort {
        pub port: Port,
        // some fields omitted
    }

## Fields

`port: Port`

## Methods

### `impl SyncPort`
[src]

#### `fn new(number: u8, direction: Direction) -> Result<SyncPort>`

Constructs a new synchronised GPIO `Port`.

# Parameter

- `number` GPIO Port number of pin.
- `direction` GPIO Port direction.

#### `fn read(&mut self) -> Result<Value>`

Read from GPIO `SyncPort` sysfs file

#### `fn write(&mut self, value: Value) -> Result<()>`

Write to GPIO `SyncPort` sysfs file

## Trait Implementations

### `impl Debug for SyncPort`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)